Home of the Squeezebox™ & Transporter® network music players.
Page 1 of 3 123 LastLast
Results 1 to 10 of 26
  1. #1
    Senior Member
    Join Date
    Jul 2018
    Location
    Oceanside, SoCal
    Posts
    132

    LMS 8.2.1 and 8.3

    I have been using LMS 8.2.0 nightlies with no problems on my SB2s. But I finally decided to try 8.2.1, and 8.3, and found problems after installation of both. The first problem was that my Presets, for accessing my Tunein stations, from Player/Device1/Menus does not show up on my screen even though it is selected.

    I also noticed that I receive an error message when I access the Plugins tab. The message indicates that my repositories are not accesable. I use them to keep some plugins updated especially SuperDateTime! This might be why I get a ? on my screen when the SB2 is off.

    In addition, when I manually check for an updated version in Advanced/Software Updates, there is no reaction to selecting the "Check for updates now" button. No message pops up indicating whether an update is available or not.

    And when I try to reinstall 8.2.0 by overwriting 8.2.1/8.3, as I normally do when updating to a new version, I have the same problems as when I update to 8.2.1/8.3. Since I have been unable to fix the problem all I can do is use a backup copy of my Windows 7 to go back to 8.2.0.

    Any suggestions would be appreciated.

    EEYORE

  2. #2
    Senior Member
    Join Date
    Feb 2009
    Posts
    475
    Restore the backup you did before you started fiddling about

  3. #3
    Senior Member
    Join Date
    Jul 2018
    Location
    Oceanside, SoCal
    Posts
    132
    Quote Originally Posted by Zombie View Post
    Restore the backup you did before you started fiddling about
    That is what I had to do to get my SB2 working again. But I am now afraid that my Slimdevices are finally becoming unusable and I will have to switch to another more modern and supported device. Most of the people I know that use SBs have switched; my brother keeps laughing at me for still using my SBs. It seems to be a losing battle against the final end of the various SBs.

    Thanks for the reply.

    EEYORE

  4. #4
    Senior Member
    Join Date
    Feb 2011
    Location
    Cheshire, UK
    Posts
    6,215
    Quote Originally Posted by EEYORE View Post
    That is what I had to do to get my SB2 working again. But I am now afraid that my Slimdevices are finally becoming unusable and I will have to switch to another more modern and supported device. Most of the people I know that use SBs have switched; my brother keeps laughing at me for still using my SBs. It seems to be a losing battle against the final end of the various SBs.

    Thanks for the reply.

    EEYORE
    Itís not the SBs that are the problem itís your installation of LMS which is on W7 - an OS that reached end of life ages ago. Why donít you switch to a Raspberry Pi with piCorePlayer to run LMS?
    Jim
    https://jukeradio.double6.net


    VB2.4 storage QNAP TS419p (NFS)
    Living Room Joggler & Pi4/Khadas -> Onkyo TXNR686 -> Celestion F20s
    Office Joggler & Pi3 -> Denon RCD N8 -> Celestion F10s
    Dining Room SB Radio
    Bedroom (Bedside) Pi Zero+DAC ->ToppingTP21 ->AKG Headphones
    Bedroom (TV) & Bathroom SB Touch ->Denon AVR ->Mordaunt Short M10s + Kef ceiling speakers
    Guest Room Joggler > Topping Amp -> Wharfedale Modus Cubes

  5. #5
    Senior Member
    Join Date
    Jul 2018
    Location
    Oceanside, SoCal
    Posts
    132
    Quote Originally Posted by d6jg View Post
    It’s not the SBs that are the problem it’s your installation of LMS which is on W7 - an OS that reached end of life ages ago. Why don’t you switch to a Raspberry Pi with piCorePlayer to run LMS?
    Ten or fifteen years ago I did look into building a Pi of some sort but never did. But now I am 73 years old with memory and cognitive issues developing. I am lucky if I can remember my own name on some days.

    And I do not think that I will be switching from W7 any time soon. I have W10 but when I tried it I found it to run incredibly slow which is the reason I am still using W7. W11 should be out soon and, if I live long enough, I might give it a try but I have my doubts about it being faster than W7. I began my computer experience with DOS3.2 and then Windows 3.11. Since then every version of Windows has become slower and slower because of all of the bloat due to all of the unnecessary features that are added in each version. Windows 11 will probably be the same.

    Again, if W7 is the problem using LMS 8.2.1/8.3 then I will have to use 8.2.0 until it is finally retired and I am forced to switch to my Amazon Echo Dot or Roku.

    EEYORE

  6. #6
    Senior Member
    Join Date
    Feb 2009
    Posts
    475
    Nothing wrong with LMS or with SB.
    If you feel unsure about the software DON'T USE NIGHTLIES!
    You installed a beta and then blame LMS and SB.
    Use a tried and tested version.
    IMHO LMS now is better than Roon. And cheaper and lighter.
    I've been streaming for about 15 years and the SBT is bloody brilliant.
    Last edited by Zombie; 2021-08-19 at 12:34.

  7. #7
    Senior Member
    Join Date
    Oct 2005
    Location
    Ireland
    Posts
    20,799
    Quote Originally Posted by EEYORE View Post
    I also noticed that I receive an error message when I access the Plugins tab. The message indicates that my repositories are not accesable. I use them to keep some plugins updated especially SuperDateTime! This might be why I get a ? on my screen when the SB2 is off.
    Respository access problems sound like a "https" issue. Show the server.log entries.

    Ralphy updated SSL/TLS libraries for LMS on Windows to support more recent TLS version but maybe the libraries depend on some OS support as well which might be in W7. Many user had to update Debian/Ubuntu etc. system to get right level of OS support.

    edit:

    TLS/SSL library updates was before 8.2 so since it was working OK earlier - not your SB2 issue. You may have more than one issue. The "https" may not be the SB2 issues but still might explain the repository error - should still post server.log
    Last edited by bpa; 2021-08-19 at 12:48.

  8. #8
    Senior Member
    Join Date
    Jul 2018
    Location
    Oceanside, SoCal
    Posts
    132
    Quote Originally Posted by Zombie View Post
    Nothing wrong with LMS or with SB.
    If you feel unsure about the software DON'T USE NIGHTLIES!
    You installed a beta and then blame LMS and SB.
    Use a tried and tested version.
    IMHO LMS now is better than Roon. And cheaper and lighter.
    I've been streaming for about 15 years and the SBT is bloody brilliant.
    I too have been streaming, using Slimdevices and Logitech SB2/3s, for 15-16 years and love them. Since Logitech quit their support I have been using the nightlies with minimal problems. And each time I had a problem I posted here and help was given help to solve my problems. I was hoping that my post here concerning my LMS 8.2.1/8.3 problems would also elicit help for my current problems.

    And I am using the last LMS 8.2.0 that still works for me and will continue to use it until I can find a solution to my LMS8.2.1/8.3 problems. Hopefully someone will be able to suggest solutions.

    Thanks,

    EEYORE

  9. #9
    Senior Member
    Join Date
    Jul 2018
    Location
    Oceanside, SoCal
    Posts
    132
    Quote Originally Posted by bpa View Post
    Respository access problems sound like a "https" issue. Show the server.log entries.

    Ralphy updated SSL/TLS libraries for LMS on Windows to support more recent TLS version but maybe the libraries depend on some OS support as well which might be in W7. Many user had to update Debian/Ubuntu etc. system to get right level of OS support.

    edit:

    TLS/SSL library updates was before 8.2 so since it was working OK earlier - not your SB2 issue. You may have more than one issue. The "https" may not be the SB2 issues but still might explain the repository error - should still post server.log
    I am currently back to using 8.2.0 and was able to find how/where to download the server.log. But I am assuming that the current log is not what is needed and I must update to the "bad" LMS8.2.1 or 8.3 and download that server.log file? Also, the file that I downloaded is in .zip format. Do I unzip it and copy/paste it into the body of a post or, if possible, do I just attach the .zip to the post?

    Thanks,

    EEYORE

  10. #10
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,600

    LMS 8.2.1 and 8.3

    > I am currently back to using 8.2.0 and was able to find how/where to
    > download the server.log. But I am assuming that the current log is not
    > what is needed and I must update to the "bad" LMS8.2.1 or 8.3 and


    Unless you delete the file yourself it should have all log entries from
    the past days/weeks/months, no matter the version.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •